<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="公告id" prop="noticeId" v-model="form.noticeId" placeholder="请输入公告id"/>
                            <Field label="公告标题" prop="title" v-model="form.title" type="textarea" placeholder="请输入公告标题"/>
                            <Field label="房间id" prop="roomId" v-model="form.roomId" placeholder="请输入房间id"/>
                            <Field label="房间名称" prop="roomName" v-model="form.roomName" type="textarea" placeholder="请输入房间名称"/>
                            <Field label="备注" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注"/>

            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    export default {
        mixins: [form],
        components: {
            dialogShow ,
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "房间公告",
                // 是否显示弹出层
                open: false,
                toString:[
                ],
                // 表单校验
                rules: {
                    title: [
                        {required: true,message: "请输入公告标题", trigger: "blur" },
                        {max: 256,message: "最多只能录入256个字符",trigger: "blur",},
                    ],
                    roomName: [
                        {required: true,message: "请输入房间名称", trigger: "blur" },
                        {max: 256,message: "最多只能录入256个字符",trigger: "blur",},
                    ],
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="notice/room/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改房间公告";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "notice/room/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增房间公告";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="notice/room/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "房间公告详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    noticeId : null,
                    title : "",
                    roomId : null,
                    roomName : "",
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
